Subject: Re: bug#14728: filenames starting with a dash confuse automake

From: Josh Triplett <[email-masked]>
Date: Fri, 28 Jun 2013 11:22:19 -0700

On Thu, Jun 27, 2013 at 09:55:53AM +0200, Stefano Lattarini wrote:
> On 06/27/2013 06:37 AM, Zbigniew Jędrzejewski-Szmek wrote:
> > Hi,
> > I encountered this in systemd, which recently added a file with 
> > a dash in the name [1].
> >
> I fear this falls in the category "Doctor, it hurts when I do that
> -- Don't do that, then" :-)
> 
> To elaborate, on Unix systems, having filenames starting with a
> dash has always been very problematic, and generally a terrible
> idea.  Do you have a very, *very* good reason to have such a file?

One obvious reason: as part of a test suite for just such a problem.

> > Basically, various commands like install and rm are called
> > without guarding the file list with --,
> >
> That's because such usage might be unportable; well, it surely was
> in the olden days, but I'm not sure whether that is still relevant
> on today's system.  Still, I'm not comfortable changing the old
> assumption and risking regressions for the users of oldish or
> proprietary systems.

Putting -- before the file list might not be portable, but prefixing
filenames starting with a - with ./ seems completely portable.  Would
that work?

- Josh Triplett